View Revisions: Issue #5096

Summary 0005096: Tripwire unhappy with Selenium
Revision 2017-06-28 20:28 by Marcello Stanisci
Description The combo Selenium 3.4.3, chromedriver 2.29, chromium 59 on Tripwire, does not work. Nonetheless, Selenium does work on my local system with older versions of the three actors.

Those old working versions of mine are from the oldstable.

It crashes with the following message:

Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 322, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/withdraw_buy.py", line 49, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 98, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 188, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)

Yes, PATH was correctly set to include /usr/lib/chromium.
Revision 2017-06-28 20:27 by Marcello Stanisci
Description The combo Selenium 3.4.3, chromedriver 2.29, chromium 59 on Tripwire, does not work, whereas
it does work on my local system with older versions of the three actors.

Those old working versions of mine are from the oldstable.

It crashes with the following message:

Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 322, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/withdraw_buy.py", line 49, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 98, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 188, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)

Yes, PATH was correctly set to include /usr/lib/chromium.
Revision 2017-06-28 20:27 by Marcello Stanisci
Description The combo Selenium 3.4.3, chromedriver 2.29, chromium 59, does not work, whereas
it does work on my local system with older versions of the three actors.

Those old working versions of mine are from the oldstable.

It crashes with the following message:

Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 322, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/withdraw_buy.py", line 49, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 98, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 188, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)

Yes, PATH was correctly set to include /usr/lib/chromium.
Revision 2017-06-28 20:25 by Marcello Stanisci
Description The combo Selenium 3.4.3, chromedriver 2.29, chromium 59, does not work, whereas
it does work on my local system with older versions of the three actors.

Those old working versions of mine are from the oldstable.

It crashes with the following message:

Traceback (most recent call last):
  File "wallet-webex/selenium/withdraw_buy.py", line 322, in <module>
    ret = client_setup(args)
  File "wallet-webex/selenium/withdraw_buy.py", line 49, in client_setup
    client = webdriver.Chrome(desired_capabilities=cap)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 69, in __init__
    desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 98, in __init__
    self.start_session(desired_capabilities, browser_profile)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 188, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/webdriver.py", line 256, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/remote/errorhandler.py", line 194, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Driver info: chromedriver=2.29 (undefined),platform=Linux 4.7.0-1-amd64 x86_64)